%global with_tests 0
Name:           python-ntplib
Version:        0.3.3
Release:    4%{?dist}
Summary:        Python module that offers a simple interface to query NTP servers
License:        MIT
URL:            http://pypi.python.org/pypi/ntplib/
Source0:        https://pypi.python.org/packages/source/n/ntplib/ntplib-%{?version}.tar.gz

BuildArch:      noarch

%description
The ntplib is a python module that offers a simple interface to query NTP
servers. It also provides utility functions to translate NTP fields' values to
text (mode, leap indicator...). Since it's pure Python, and only depends on core
modules, it should work on any platform with a Python implementation.

%package -n python3-ntplib
Summary:        Python 3 module that offers a simple interface to query NTP servers
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-ntplib
The ntplib is a python module that offers a simple interface to query NTP
servers. It also provides utility functions to translate NTP fields' values to
text (mode, leap indicator...). Since it's pure Python, and only depends on core
modules, it should work on any platform with a Python implementation.

Python 3 version.

%prep
%setup -q -n ntplib-%{?version}

%build
%py3_build

%install
%py3_install

%if 0%{?with_tests}
%{__python3} test_ntplib.py
%endif # with_tests


%files -n python3-ntplib
%doc CHANGELOG
%{python3_sitelib}/ntplib*
%{python3_sitelib}/__pycache__/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.3.3-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.3.3-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.3.3-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.3-1
- initial build
